<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_09fd03941a048e1f28e823189" . "007cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjcmVhdGVkLiBDdXJyZW50IHZ" . "lcnNpb24gaXMgJw=="), "_e608e5b5c4c34a67ba9" . "7ef84c1e16199" => base64_decode("J" . "w" . "=" . "="), "_98587fc188f350370f03d547" . "07c587e1" => base64_decode("aXNfcmVhZGF" . "ibGU="), "_98080012c02491a0c0cf9af5c977" . "f3c7" => base64_decode("U2NoZW1hIGZp" . "bGU6IA=="), "_afa8b786a" . "0282957bc5" . "e6c82eb5ee" . "aba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24" . "ndCBleGlzdCBvciBub3Qgcm" . "VhZGFibGUsIHNraXBwaW5nI" . "HNjaGVtYSBjcmVhdGlvbg=="), "_3c4298ad118f03549387eda8af859" . "750" => base64_decode("QXBwbGljYX" . "Rpb24gYWxy" . "ZWFkeSBpbn" . "N0YWxsZWQ="), "_0a441bddac7bebad7a" . "9858a0dfadcd90" => base64_decode("MDEu" . "MDE="), "_4e804c3c659ffa9270945808" . "1742376b" => base64_decode("Q3JlYXR" . "pbmcgc2" . "NoZW1h"), "_c1bf7b7ebd1ab8431a8561d762d" . "b1895" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc3Rhb" . "GxlZC4gQ2Fubm90IHVwZGF0ZQ=="), "_bc2b2cbee209b1cad" . "0873479a8fd921a" => base64_decode("L3NjaGVtYS9" . "zY2hlbWEucG" . "hw"), "_edc5e56d0d74937af4aa39a12b4" . "e62f4" => base64_decode("MD" . "Au" . "MD" . "A="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_3c4298ad118f03549387eda" . "8af859750"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_c1bf7b7ebd1ab8431a8561d762d" . "b1895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_bc2b2cbee209b1cad0873" . "479a8fd921a"];
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_98587fc" . "188f3503" . "70f03d54" . "707c587e" . "1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_98080012c02" . "491a0c0cf9af" . "5c977f3c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4e804c3" . "c659ffa9" . "27094580" . "81742376" . "b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0a441bddac7bebad7a9858a0dfa" . "dcd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_09fd03941a048e" . "1f28e823189007c" . "ddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_e608e5b5c4" . "c34a67ba97e" . "f84c1e16199"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_afa8b786a028" . "2957bc5e6c82e" . "b5eeaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_edc5e56d0d74937af4aa39a12b4e" . "62f4"]);
        }
    }
}